PortalAccountingMessage (messages 1.5.0-2.12.0 API)
Date: 2013-02-16

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.messaging.common.messages
Class PortalAccountingMessage<RECORD extends BaseRecord>

    java.lang.Object
      org.gcube.common.core.monitoring.GCUBEMessage
          org.gcube.messaging.common.messages.PortalAccountingMessage<RECORD>

All Implemented Interfaces:
  Serializable

    public class PortalAccountingMessage<RECORD extends BaseRecord>

extends org.gcube.common.core.monitoring.GCUBEMessage

Author:
  Andrea Manzi(CERN)
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.gcube.common.core.monitoring.GCUBEMessage
`org.gcube.common.core.monitoring.GCUBEMessage.ResultType`

Field Summary
`static String` | `PortalAccounting` the topic base

Fields inherited from class org.gcube.common.core.monitoring.GCUBEMessage
`DATE_FORMAT_NOW, result, scope, sourceGHN, time, topic`

Constructor Summary
`PortalAccountingMessage()` create a new portalAccoutingMessage

Method Summary
`void` | `addRecord(RECORD record)` Add a record to the message
`void` | `createTopicName(org.gcube.common.core.scope.GCUBEScope scope)` creates the topic name for this message
`String` | `getId()` the id
`ArrayList<RECORD>` | `getRecords()` get the records
`String` | `getUser()` get the user
`String` | `getVre()` get the vre
`void` | `setId(String id)` set the id for the message
`void` | `setRecords(ArrayList<RECORD> records)` set the records
`void` | `setUser(String user)` ser the user
`void` | `setVre(String vre)` set the vre

Methods inherited from class org.gcube.common.core.monitoring.GCUBEMessage
`getResult, getScope, getSourceGHN, getTime, getTopic, setResult, setScope, setSourceGHN, setTime, setTimeNow, setTopic`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PortalAccounting

    public static final String PortalAccounting

  the topic base

  See Also:
    Constant Field Values

Constructor Detail

### PortalAccountingMessage

    public PortalAccountingMessage()

  create a new portalAccoutingMessage

Method Detail

### addRecord

    public void addRecord(RECORD record)

  Add a record to the message

  Parameters:
    `record` - the record

### getUser

    public String getUser()

  get the user

  Returns:
    the user

### setUser

    public void setUser(String user)

  ser the user

  Parameters:
    `user` - the user

### getVre

    public String getVre()

  get the vre

  Returns:
    the vre

### setVre

    public void setVre(String vre)

  set the vre

  Parameters:
    `vre` - the vre

### getRecords

    public ArrayList<RECORD> getRecords()

  get the records

  Returns:
    the records

### setRecords

    public void setRecords(ArrayList<RECORD> records)

  set the records

  Parameters:
    `records` -

### getId

    public String getId()

  the id

  Returns:
    id

### setId

    public void setId(String id)

  set the id for the message

  Parameters:
    `id` - the id

### createTopicName

    public void createTopicName(org.gcube.common.core.scope.GCUBEScope scope)

  creates the topic name for this message

  Parameters:
    `scope` - the message scope

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.